<script>
  import { editDocuments, deleteDocuments } from '../utils/db';
  import {curRoute} from '../router';
  export let book;

  function handleSubmit(event) {
    let new_book = {
      title: event.target.title.value,
      author: event.target.author.value,
      price: event.target.price.value,
      _rev: book._rev,
      _id: book._id,
      img: book.img,
      url: event.target.url.value
    }

    editDocuments(new_book);

    window.location.reload();
  }

  function handleDelete(event) {
    deleteDocuments(book);

    window.location.reload();
  }
</script>

<h2 class="text-xl">Edit {book.title}</h2>

<form class="w-full max-w-lg bg-white py-6" on:submit|preventDefault={handleSubmit}>
  <div class="flex flex-wrap -mx-3 mb-6">
    <div class="w-full md:w-1/2 px-3 mb-6 md:mb-0">
      <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="title">
        Title
      </label>
      <input class="appearance-none block w-full bg-gray-200 text-gray-700 border border-gray-200 rounded py-3 px-4 mb-3 leading-tight focus:outline-none focus:border-gray-500 focus:bg-white" id="title" type="text" placeholder="Harry Potter" value={book.title}>
    </div>
    <div class="w-full md:w-1/2 px-3">
      <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="author">
        Author
      </label>
      <input class="appearance-none block w-full bg-gray-200 text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="author" type="text" placeholder="J. K. Rowling" value={book.author}>
    </div>
  </div>
  <div class="flex flex-wrap -mx-3 mb-2">
    <div class="w-full md:w-1/3 px-3 mb-6 md:mb-0">
      <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="price">
        Price
      </label>
      <input class="appearance-none block w-full bg-gray-200 text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="price" type="number" placeholder="13" value={book.price} step="0.01">
    </div>
    <div class="w-full md:w-2/3 px-3 mb-6 md:mb-0">
      <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="url">
       URL 
      </label>
      <input class="appearance-none block w-full bg-gray-200 text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="url" type="url" placeholder="https://www.amazon.fr/1984-George-Orwell-ebook/dp/B00D5XNXQ2" value={book.url}>
    </div>
  </div>
  <button class="mt-6 bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline" type="submit">
    Edit book
  </button>
  <button class="mt-6 bg-red-500 hover:bg-red-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline" type="button" on:click|preventDefault={handleDelete}>
    Delete book
  </button>
</form>